=== debian/changelog ===
elkcode (7.2.42-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1003005).
  * debian/control (Build-Depends): Replaced debhelper with debhelper-compat (=
    12).
  * debian/compat: Removed.
  * debian/rules (override_dh_auto_build): Disable parallelism during build.
  * debian/control (Build-Depends): Added libwannier90-dev.
  * debian/patches/makeflags.patch: Link to libwannier90.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Jan 2022 20:43:14 +0100

elkcode (7.2.42-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/ls_locale_for_reproducible_order.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/makeflags.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Oct 2021 14:10:30 +0200

elkcode (6.8.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/ls_locale_for_reproducible_order.patch: New patch, makes the
    build reproducable, by Alexis Bienvenüe (Closes: #824653).
  * debian/patches/perl_5_30_protex.patch: Removed, applied upstream.
  * debian/patches/default_data_directory.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/makeflags.patch: Likewise.
  * debian/patches/makeflags.patch: Update SRC_libxc variable.
  * debian/control (Build-Depends): Add versioned build dependency on
    libxc-dev >= 5.0.0-1.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jan 2021 11:21:39 +0100
