=== debian/changelog ===
elkcode (8.4.30-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makeflags.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/ls_locale_for_reproducible_order.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Mon, 04 Jul 2022 21:06:06 +0200

elkcode (8.3.22-2) unstable; urgency=medium

  * debian/patches/makeflags.patch: Likewise.
  * debian/patches/makefile_clean.patch: Refreshed.
  * debian/patches/ls_locale_for_reproducible_order.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 12 Mar 2022 18:47:48 +0100

elkcode (8.3.22-1) unstable; urgency=medium
  
  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 12 Mar 2022 17:56:44 +0100
